import { defineStore } from 'pinia'
export const useDownloadTask = defineStore('downloadTask', {
  state: () => ({
    updateList: 0,
    msgData: {},
  }),
  actions: {
    setUpdateList() {
      if (this.updateList === 0) {
        this.updateList = 1
      } else {
        this.updateList = 0
      }
    },
    setMsgData(data) {
      this.msgData = data
    }
  }
})

export const useExportTask = defineStore('exportTask', {
  state: () => ({
    updateList: 0,
    msgData: {},
  }),
  actions: {
    setUpdateList() {
      if (this.updateList === 0) {
        this.updateList = 1
      } else {
        this.updateList = 0
      }
    },
    setMsgData(data) {
      this.msgData = data
    }
  }
})
